package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.back.base.pojo.vo.OrderBackQueryRpcVO;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineAppCallbackXglt;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineAppOrderLog;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineAppRoleRegisterLog;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineAppUserLog;

import java.util.Map;

public interface IGameOceanengineAppCallbackXgltService extends IService<GameOceanengineAppCallbackXglt> {

    /**
     * 回调处理
     *
     * @param paramMap : 回调参数
     * @return : 返回结果
     */
    boolean callback(Map<String, Object> paramMap);

    /**
     * 获取回调参数
     *
     * @param userLog : 用户日志
     * @return : 返回结果
     */
    String getCallBackParamByUser(GameOceanengineAppUserLog userLog);

    /**
     * 注册 -> 回传激活事件
     *
     * @param userLog : 注册日志
     */
    void regBack(GameOceanengineAppUserLog userLog);

    /**
     * 创角 -> 回传注册事件
     *
     * @param roleLog : 创角日志
     */
    void createRoleBack(GameOceanengineAppRoleRegisterLog roleLog);

    /**
     * 订单支付 -> 回传付费事件
     *
     * @param orderLog : 订单日志
     */
    void orderPayBack(GameOceanengineAppOrderLog orderLog, OrderBackQueryRpcVO orderBackQueryRpcVO);
}
